org.deidentifier.arx.gui.view.impl.menu

## Class DialogClassificationConfiguration

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.menu.DialogClassificationConfiguration

All Implemented Interfaces:
  IDialog

    public class DialogClassificationConfiguration
    extends java.lang.Object
    implements IDialog

This class implements a dialog for editing a classification configuration

Author:
  Johanna Eicher, Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`DialogClassificationConfiguration(org.eclipse.swt.widgets.Shell parent, ARXClassificationConfiguration<?> config)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`ARXClassificationConfiguration<?>` `getResult()` Returns a modified configuration, if available, `null`, otherwise.
`void` `open()` Open the dialog.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DialogClassificationConfiguration

    public DialogClassificationConfiguration(org.eclipse.swt.widgets.Shell parent,
                                             ARXClassificationConfiguration<?> config)

Creates a new instance

Parameters:
  `parent` -
  `config` -

### Method Detail

#### open

    public void open()

Open the dialog.

#### getResult

    public ARXClassificationConfiguration<?> getResult()

Returns a modified configuration, if available, `null`, otherwise.

Returns: